org.apache.storm.generated

## Class Nimbus.AsyncProcessor.getTopologyInfo<I extends Nimbus.AsyncIface>

- java.lang.Object
- - org.apache.storm.thrift.AsyncProcessFunction<I,Nimbus.getTopologyInfo_args,TopologyInfo>
  - - org.apache.storm.generated.Nimbus.AsyncProcessor.getTopologyInfo<I>

- Enclosing class:
    Nimbus.AsyncProcessor<I extends Nimbus.AsyncIface>

      public static class Nimbus.AsyncProcessor.getTopologyInfo<I extends Nimbus.AsyncIface>
      extends org.apache.storm.thrift.AsyncProcessFunction<I,Nimbus.getTopologyInfo_args,TopologyInfo>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `getTopologyInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Nimbus.getTopologyInfo_args` | `getEmptyArgsInstance()`
    `org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo>` | `getResultHandler(org.apache.storm.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
    `protected boolean` | `isOneway()`
    `void` | `start(I iface, Nimbus.getTopologyInfo_args args, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler)`

    - ### Methods inherited from class org.apache.storm.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### getTopologyInfo

          public getTopologyInfo()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Nimbus.getTopologyInfo_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends Nimbus.AsyncIface,Nimbus.getTopologyInfo_args,TopologyInfo>`

    - #### getResultHandler

          public org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> getResultHandler(org.apache.storm.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                                  int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends Nimbus.AsyncIface,Nimbus.getTopologyInfo_args,TopologyInfo>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends Nimbus.AsyncIface,Nimbus.getTopologyInfo_args,TopologyInfo>`

    - #### start

          public void start(I iface,
                            Nimbus.getTopologyInfo_args args,
                            org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `start` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends Nimbus.AsyncIface,Nimbus.getTopologyInfo_args,TopologyInfo>`
      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.